# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'wcc/data/version'

Gem::Specification.new do |spec|
  spec.name          = "wcc-data"
  spec.version       = WCC::Data::VERSION
  spec.authors       = ["Watermark Dev"]
  spec.email         = ["dev@watermark.org"]
  spec.description   = %q{Watermark's library for interapp communication via APIs}
  spec.summary       = %q{Watermark's library for interapp communication via APIs}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = Dir['lib/**/*'] + %w[LICENSE.txt README.md wcc-data.gemspec]
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.2'

  # Required if you use faraday_client_app_token_auth but must be included separately
  spec.add_development_dependency "faraday", "~> 0.8"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "dotenv", "~> 0.10.0"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec", "~>3.3"
  spec.add_development_dependency "sidekiq"
end
